Costs
Record a SaaS subscription; company_id must belong to this org (404 otherwise). Honours Idempotency-Key. (scope: costs:write)
POST
bearerAuthheader
AuthorizationBearer <token>API key as Bearer token
application/json- body
company_id*stringFormat
uuidvendor*stringLength
1 <= length <= 120plan?|Length
length <= 120cadence?stringDefault
"monthly"Value in
"monthly""quarterly""yearly""usage"amount_minor*integerRange
0 <= valuecurrency*stringISO 4217
Match
^[A-Z]{3}$next_renewal?|Format
datenotes?|Length
length <= 2000OK
application/json- response
data*error*nullcurl -X POST "https://example.com/costs/subscriptions" \ -H "Content-Type: application/json" \ -d '{ "company_id": "b2e6a1c3-1a5e-44ae-a8fd-81f76fd715cf", "vendor": "string", "amount_minor": 0, "currency": "string" }'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "error": null}